Page MenuHomeLubuntu Development

nm-tray icons
Closed, ResolvedPublic

Description

Currently nm-tray is the only status icon that is dark over dark with papirus icon, making it difficult to see. That's because the icons it is using are the "symbolic". If icons are change to non-symbolic that will be solved. The only problem would be that when clicking the icon there appear a list of options with icons (like active connections) and that list has a light background and now, that the icons are light, they don't see well in that case. The text is dark so it can be read.

Final solution should be to change symbolic icons to none symbolic and make the colors (background and fonts) of the list change with the theme.
the icon names should be change in the file src/icons.cpp

Related Objects

StatusAssignedTask
Opentsimonq2
OpenNone
Resolvedhmollercl

Event Timeline

hmollercl triaged this task as Wishlist priority.EditedApr 10 2019, 1:57 PM
hmollercl created this task.

not sure why they use -symbolic icons, is thsre some kind of convention? I couldn't find anything in here https://specifications.freedesktop.org/icon-naming-spec/latest/ar01s02.html

found out that network manager also does the crick of loading all the icons (the system tray and the ones that appear when clicking over the tray to show the available networks) at the same time. Since the dialog is light background and the panel dark, the best solution might be to load them separately and use non-symbolic for the tray and symbolic for the available network list.

Sounds good to me, @hmollercl. Please do work with upstream on this; I certainly want to SRU this into 19.04 when we have a fix (and we might be able to do a 0 day SRU).

wxl reassigned this task from tsimonq2 to hmollercl.Apr 13 2019, 1:28 AM

palinek added a commit to solve the issue and it worked, the commit is:
https://github.com/palinek/nm-tray/commit/ecbe243339cc4a89dbaf3c37362cd0d963e0a22d
since it is over 0.4.2 and we are in 0.4.1 and in sid there is already 0.4.2-1 https://packages.debian.org/sid/nm-tray how should we proceed?

wxl added a subscriber: wxl.Jul 24 2019, 12:31 AM

We need to do a merge/sync but which one depends a bit on what we do with the ubuntu2 patch.

hmollercl added a comment.EditedJul 24 2019, 8:24 AM

EDIT: This comment is before I read the discussion about the posibility of reverting nm-tray editor change

specifically here, remember that we discuss with agaida and palinek and they will release a new version https://github.com/palinek/nm-tray/issues/41 we should work with it.
My doubt here is that we should merge the actual version in sid or we wait until the new release.

On https://phab.lubuntu.me/rNMTRAYPACKAGING1bc4f5406954093d6 I will add the dependeny as soon as I have some time, I tried pas weekend but I found some difference with sid so I wanted to confirm before doing the change.
I think we should add network-manager-gnome as required, and not recommended.

wxl added a comment.Jul 24 2019, 1:09 PM

Regardless of what we decide to do with the connection editor change, having a new release with the icons fixed would be really nice. I had forgotten they planned to do a new release. We should be able to just wait for that to happen and then just do the merge/sync, but let's not forget about it.

yup, beggining of august, could we create an alarm?

Bumped the upstream issue.

@hmollercl could you please take a look at SRUing this?

you want to put it 19.04? Or we need and SRU for 19.10?
Should we wait to agaida to put it in sid?

kc2bez added a subscriber: kc2bez.Aug 8 2019, 10:57 AM

Should we wait to agaida to put it in sid?

For Eoan time is getting short, my personal thought is we should not wait for it to land in sid.

ok, so how should I do it.
1.- Create a new ppa from scratch cloning repo, adding /debian/... etc...
2.- Should I use our repository https://phab.lubuntu.me/source/nm-tray/ somehow? I was thinking something like change the watcher...
3.- Other?

nm-tray sbuild gave me a lintian warn because it doesn't have manpage, what should I do?
override?
nm-tray doesn't have one now, nor has a help

wxl closed this task as Resolved.Aug 11 2019, 12:43 PM

Since the above is approved, resolving this. Friendly reminder that mentioning the task id when you arc diff will autoclose these.